<div>
  <!-- Results List Head -->
  <div style="margin-bottom:15px"  ng-show="apiCalled">

    <div class="row">

      <div class="col-xs-12 col-sm-12 col-md-8">

        <!-- Pagination -->

        <ul uib-pagination class="pagination-sm" ng-show="results.count > 20" total-items="results.count" ng-model="query.currentPage" items-per-page="20" max-size="5" boundary-links="true" force-ellipses="true" previous-text="&lsaquo;" next-text="&rsaquo;" first-text="&laquo;" last-text="&raquo;"></ul>

        <!-- Number of Results -->

        <div ng-show="results.count > -1">
          {{results.count}} <%= __('results')%>
          <span  ng-show="results.count > 20">({{(query.currentPage * 20) -19}} <%= __('to')%> {{(query.currentPage * 20) > results.count ? results.count : (query.currentPage * 20) }})
          </span>
        </div>

      </div>

      <!-- Sort Options -->

      <div class="col-xs-12 col-sm-12 col-md-4">
        <dropdown class="pull-right" is-button btn-class="btn-default btn-sm"
        ng-model="sortSelected"
        key-binding="query.order"
        key-to-bind="key"
        default="name_holders_count_DESC"
        options="[{
          key: 'label_ASC',
          name: '<%= __('sort')%>: A → Z'
        },{
          key: 'label_DESC',
          name: '<%= __('sort')%>: Z → A'
        },
        {
          key: 'name_holders_count_DESC',
          name: '<%= __('sort')%>:   <% if (__(':lang') == 'de') { %><%= __('num_nameholders')%><% } else{ %><%=: __('num_nameholders') | downcase %><% } %>'
        }]">
      </dropdown>
    </div>
  </div>
</div>

<!-- template for displaying one forename in the result list -->

<div class="gen-container" style="margin-bottom: 20px;" ng-repeat="forename in results.rows"  ng-show="results.rows.length > 0">

  <!-- upper part with label and count of name holders -->
  <div class="row">
    <div class="col-md-9 col-sm-9 col-xs-9">
      <div class="row">
        <div class="col-md-4 col-sm-3 col-xs-7">
          <a href="forename/{{forename.id}}">{{forename.label}}</a>
        </div>
        <div class="col-md-3 col-sm-5  hidden-xs">
          <span ng-repeat="gender in forename.genders">
            <span ng-if="gender == 'maskulin'" style="margin-right:10px;">
              <span style="font-size:12pt;" class="fa fa-mars"></span>
            </span>
            <span ng-if="gender == 'feminin'" style="margin-right:10px;">
              <span style="font-size:12pt;" class="fa fa-venus"></span>
            </span>
            <span ng-if="gender == 'both'" style="margin-right:10px;">
              <span style="font-size:12pt;" class="fa fa-intersex"></span>
            </span>
            <span ng-if="forename.gender == null" style="margin-right:11px;">
              <span style="font-size:12pt;color:transparent;">bl</span>
            </span>
          </span>

          <div class="lang" ng-repeat="language in forename.languages">
            <span class="small-text" uib-tooltip="{{language.displayLabel}}">  {{language.displayLabel | cut:false:8:'…'}} </span>
          </div>
        </div>

        <div class="col-md-5 col-sm-4 col-xs-5">
          <small ng-if="forename.earliest_year && forename.latest_year">
            <span ng-if="forename.earliest_year !== forename.latest_year" uib-tooltip="<%= __('usedate_tooltip')%> {{forename.earliest_year}} <%= __('to')%> {{forename.latest_year}}">
              {{forename.earliest_year}} – {{forename.latest_year}}
            </span>
            <span ng-if="forename.earliest_year === forename.latest_year" uib-tooltip="<%= __('usedate_tooltip2')%> {{forename.earliest_year}}">
              {{forename.earliest_year}}
            </span>
          </small>
        </div>

      </div>
      <div class="row" style="line-height:10px;margin-top:5px;">
        <div class="visible-xs-block col-xs-12 hidden-sm hidden-md">
          <span ng-repeat="gender in forename.genders">
            <span ng-if="gender == 'maskulin'" style="margin-right:10px;">
              <span style="font-size:12pt;" class="fa fa-mars"></span>
            </span>
            <span ng-if="gender == 'feminin'" style="margin-right:10px;">
              <span style="font-size:12pt;" class="fa fa-venus"></span>
            </span>
            <span ng-if="gender == 'both'" style="margin-right:10px;">
              <span style="font-size:12pt;" class="fa fa-intersex"></span>
            </span>
            <span ng-if="forename.gender == null" style="margin-right:11px;">
              <span style="font-size:12pt;color:transparent;">bl</span>
            </span>
          </span>

          <div class="lang" ng-repeat="language in forename.languages">
            <span class="small-text" uib-tooltip="{{language.displayLabel}}">  {{language.displayLabel | cut:false:14:'…'}} </span>
          </div>



        </div>

      </div>
      <div class="row">
        <div class="col-md-12">
          <div ng-if="count(forename.appellation_variants) > 0 " >
            <hr class="no-margin">
          </div>
        </div>
      </div>
      <div class="row">
        <!-- lower part with info about spelling variants -->

        <div class="row small-text" >
          <div class="col-md-12 col-xs-12" ng-if="count(forename.appellation_variants) > 0 " style="padding-left:25px;">
            <span>
              <span ng-if="query.searchString.length > 0"><%= __('found_in_histvar')%>:</span>
              <span ng-if="query.searchString.length === 0"><%= __('those_are_histvars')%>:</span>
              <span ng-repeat="(key, value) in forename.appellation_variants">
                <a style="padding-right:10px;" href="forename/{{key}}">{{value}}</a>
              </span>
            </span>
          </div>
          <div class="col-md-12 col-xs-12" ng-if="forename.appellation_variants.length === 0">
            <span><%= __('notfound_in_histvar')%></span>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-3 col-sm-3 hidden-xs">
      <div style="margin-right:20px;margin-top:10px;">
        <name-holders-count class="pull-right" count="forename.name_holders_count" name-id="forename.id"></name-holders-count>
      </div>
    </div>
    <div class="visible-xs-block col-xs-3">
        <name-holders-count class="pull-right" count="forename.name_holders_count" name-id="forename.id"></name-holders-count>
    </div>
  </div>
</div>
</div>
